package com.realnet.vpspack.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.vpspack.Entity.Completed_or_archive;
import com.realnet.vpspack.Services.Completed_or_archiveService ;














@RequestMapping(value = "/Completed_or_archive")
 @CrossOrigin("*") 
@RestController
public class Completed_or_archiveController {
	@Autowired
	private Completed_or_archiveService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Completed_or_archive")
		  public Completed_or_archive Savedata(@RequestBody Completed_or_archive data) {
		Completed_or_archive save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Completed_or_archive/{id}")
	public  Completed_or_archive update(@RequestBody Completed_or_archive data,@PathVariable Integer id ) {
		Completed_or_archive update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Completed_or_archive/getall/page")
	public Page<Completed_or_archive> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Completed_or_archive> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Completed_or_archive")
	public List<Completed_or_archive> getdetails() {
		 List<Completed_or_archive> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Completed_or_archive")
	public List<Completed_or_archive> getallwioutsec() {
		 List<Completed_or_archive> get = Service.getdetails();		
		return get;
}
@GetMapping("/Completed_or_archive/{id}")
	public  Completed_or_archive  getdetailsbyId(@PathVariable Integer id ) {
		Completed_or_archive  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Completed_or_archive/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















}